///even.cpp
#include <bits/stdc++.h>
#define ednl "\n"
using namespace std;

int a[100002],b[100002],sumA[100002],sumB[100002];
pair<int,int>ch[100002];

int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n,ans=0,k=1,gh,mh;
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>mh>>gh;
       ch[i]=make_pair(mh,gh);
    }
    sort(ch,ch+n);
    a[1]=ch[0].first;
    b[1]=ch[0].second;
    for(int i=2;i<=n;i++){
        if(ch[i-1].first==a[k] && ch[i-1].second==b[k]){
        }else{
            k++;
            a[k]=ch[i-1].first;
            b[k]=ch[i-1].second;
        }
    }

    for(int i=1;i<=n;i++){
        sumA[i]=sumA[i-1]+a[i];
        sumB[i]=sumB[i-1]+b[i];
    }

    for(int i=1;i<=n;i++){
        ans+=(n-1)*a[i]*a[i];
        ans=ans-2*a[i]*(sumA[n]-sumA[i]);
        ans+=(n-1)*b[i]*b[i];
        ans=ans-2*b[i]*(sumB[n]-sumB[i]);
    }
    cout<<ans<<endl;

    return 0;
}


